package com.uvigo.mhp.mediaPlayer;

import java.awt.*;
import java.io.*;
import java.net.*;
import javax.media.*;

// Esta clase se usa para invocar un metodo del MediaPlayer al cabo
// del tiempo que este indique.
class MediaPlayerThread extends Thread
{
    MediaPlayer mp;
    int millis;
    
    MediaPlayerThread(MediaPlayer mp, int millis)
    {
        this.mp=mp;
        this.millis=millis;
        this.start();
    }
    
    public synchronized void run()
    {
        try
        {
            if (millis>0)
                wait(millis);
            mp.ring();
        }
        catch (InterruptedException e)
        {
            //INTERRUMPIDO
        }
    }
    
    public synchronized void abort()
    {
        interrupt();
    }
}
